Patch Blacklist Entry
curl --request PATCH \
--url https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "consequatur",
"type": "ip_range",
"match_type": "regex",
"reason": "consequatur",
"message": "consequatur",
"payment_method_ids": null,
"enabled": false,
"active_from": "2012-05-28",
"active_to": "2012-05-28"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}"
payload = {
"value": "consequatur",
"type": "ip_range",
"match_type": "regex",
"reason": "consequatur",
"message": "consequatur",
"payment_method_ids": None,
"enabled": False,
"active_from": "2012-05-28",
"active_to": "2012-05-28"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
value: 'consequatur',
type: 'ip_range',
match_type: 'regex',
reason: 'consequatur',
message: 'consequatur',
payment_method_ids: null,
enabled: false,
active_from: '2012-05-28',
active_to: '2012-05-28'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'value' => 'consequatur',
'type' => 'ip_range',
'match_type' => 'regex',
'reason' => 'consequatur',
'message' => 'consequatur',
'payment_method_ids' => null,
'enabled' => false,
'active_from' => '2012-05-28',
'active_to' => '2012-05-28'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}"
payload := strings.NewReader("{\n \"value\": \"consequatur\",\n \"type\": \"ip_range\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": false,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"consequatur\",\n \"type\": \"ip_range\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": false,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"value\": \"consequatur\",\n \"type\": \"ip_range\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": false,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}"
response = http.request(request)
puts response.read_bodyBlacklist
Patch Blacklist Entry
Changes only the fields you send. Fields you leave out keep their current value, and null clears a field.
PATCH
/
v1
/
shops
/
{shopId}
/
blacklist
/
{blacklistId}
Patch Blacklist Entry
curl --request PATCH \
--url https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "consequatur",
"type": "ip_range",
"match_type": "regex",
"reason": "consequatur",
"message": "consequatur",
"payment_method_ids": null,
"enabled": false,
"active_from": "2012-05-28",
"active_to": "2012-05-28"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}"
payload = {
"value": "consequatur",
"type": "ip_range",
"match_type": "regex",
"reason": "consequatur",
"message": "consequatur",
"payment_method_ids": None,
"enabled": False,
"active_from": "2012-05-28",
"active_to": "2012-05-28"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
value: 'consequatur',
type: 'ip_range',
match_type: 'regex',
reason: 'consequatur',
message: 'consequatur',
payment_method_ids: null,
enabled: false,
active_from: '2012-05-28',
active_to: '2012-05-28'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'value' => 'consequatur',
'type' => 'ip_range',
'match_type' => 'regex',
'reason' => 'consequatur',
'message' => 'consequatur',
'payment_method_ids' => null,
'enabled' => false,
'active_from' => '2012-05-28',
'active_to' => '2012-05-28'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}"
payload := strings.NewReader("{\n \"value\": \"consequatur\",\n \"type\": \"ip_range\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": false,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"value\": \"consequatur\",\n \"type\": \"ip_range\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": false,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"value\": \"consequatur\",\n \"type\": \"ip_range\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": false,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Response
200